Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED] emerge gnome failed
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
melon1234
n00b
n00b


Joined: 07 May 2013
Posts: 6

PostPosted: Wed May 08, 2013 11:40 am    Post subject: [SOLVED] emerge gnome failed Reply with quote

Hi, all,

When I run "emerge gnome", I got below error message. To my surprise, x11-libs/gtk+-3.4.4::gentoo has "-X" USE flag, but gtk+ really need X modules. How to solve this problem? Thank you in advance.

FYI,
my profile is: [7] default/linux/amd64/13.0/no-multilib *
Code:
# cat 'USE="-qt4 -kde X dbus gtk gnome"' >> /etc/make.conf 
# emerge --update --deep --newuse world
# emerge --depclean
# revdep-rebuild
# emeger gnome


Calculating dependencies... done!

The following USE changes are necessary to proceed:
(see "package.use" in the portage(5) man page for more details)
# required by gnome-base/gnome-session-2.32.1-r3
# required by gnome-base/gnome-2.32.1-r2
# required by gnome (argument)
=gnome-base/gconf-2.32.4 gtk

Use --autounmask-write to write changes to config files (honoring
CONFIG_PROTECT). Carefully examine the list of proposed changes,
paying special attention to mask or keyword changes that may expose
experimental or unstable packages.

!!! The ebuild selected to satisfy "x11-libs/gtk+:3" has unmet requirements.
- x11-libs/gtk+-3.4.4::gentoo USE="introspection -X (-aqua) -colord -cups -debug -examples (-packagekit) -test -vim-syntax (-wayland) -xinerama"

The following REQUIRED_USE flag constraints are unsatisfied:
any-of ( aqua wayland X )

The above constraints are a subset of the following complete expression:
any-of ( aqua wayland X ) xinerama? ( X )

(dependency required by "x11-misc/xdg-user-dirs-gtk-0.9" [ebuild])
(dependency required by "gnome-base/gnome-session-2.32.1-r3" [ebuild])
(dependency required by "gnome-base/gnome-2.32.1-r2" [ebuild])
(dependency required by "gnome" [argument])

--
ShenLei


Last edited by melon1234 on Fri May 10, 2013 3:04 am; edited 1 time in total
Back to top
View user's profile Send private message
PabloEsc
n00b
n00b


Joined: 24 Dec 2009
Posts: 40

PostPosted: Wed May 08, 2013 11:44 am    Post subject: Reply with quote

Use
Code:
/etc/portage/make.conf

not
Code:
/etc/make.conf
Back to top
View user's profile Send private message
melon1234
n00b
n00b


Joined: 07 May 2013
Posts: 6

PostPosted: Fri May 10, 2013 3:03 am    Post subject: Reply with quote

Great, I works! Maybe the handbook I see is out-of-date. Thanks.

Code:
emerge gnome --autounmask-write
dispatch-conf
emerge gnome


--
ShenLei
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum